typedef NS_ENUM(NSInteger, _BMPServiceType) {
    _BMPServiceTypeEvent,
    _BMPServiceTypeImpression,
    _BMPServiceTypeLicensing,
    _BMPServiceTypePlayback,
    _BMPServiceTypeConfig,
    _BMPServiceTypeDeficiency,
    _BMPServiceTypeNone,
    _BMPServiceTypeTime,
    _BMPServiceTypeMetadata,
    _BMPServiceTypeCaption,
    _BMPServiceTypeAdvertising,
    _BMPServiceTypeVideo,
    _BMPServiceTypeAudio,
    _BMPServiceTypeInitialization,
    _BMPServiceTypeResourceLoader,
    _BMPServiceTypeCastMessaging,
    _BMPServiceTypePlaylistParser,
    _BMPServiceTypeBuffer,
    _BMPServiceTypePlaylist,
    _BMPServiceTypePlaybackFinished,
    _BMPServiceTypeSeeking,
    _BMPServiceTypePlaylistTransitioning,
    _BMPServiceTypeStalling
} NS_SWIFT_NAME(_ServiceType);
